xquery version "3.1";
(:
 : Testing framework port
 : Copyright© Mary Holstege 2020-2021
 : CC-BY (https://creativecommons.org/licenses/by/4.0/)
 :)
import module namespace point="http://mathling.com/geometric/point"
       at "./geo/point.xqy";
import module namespace edge="http://mathling.com/geometric/edge"
       at "./geo/edge.xqy";
import module namespace box="http://mathling.com/geometric/rectangle"
       at "./geo/rectangle.xqy";
import module namespace tree="http://mathling.com/geometric/tree/split"
       at "./geo/splittree.xqy";

declare namespace this="http://www.w3.org/2005/xquery-local-functions";

<example>{
let $points := (
  point:point(764,726),
  point:point(27,782),
  point:point(483,6),
  point:point(317,755),
  point:point(521,361),
  point:point(498,603),
  point:point(587,436),
  point:point(772,689),
  point:point(354,208),
  point:point(739,467),
  point:point(300,721),
  point:point(207,637),
  point:point(257,264),
  point:point(315,581),
  point:point(451,267),
  point:point(212,678),
  point:point(198,690),
  point:point(693,70),
  point:point(104,635),
  point:point(662,290)
)
let $tree := tree:split-tree($points)
for $box in tree:nodes($tree)!tree:box(.)
return <box min="{point:quote(box:min-point($box))}" max="{point:quote(box:max-point($box))}"/>
}</example>
